/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.readahead.interfaces;

import java.rmi.*;
import javax.ejb.*;

/**
 * REmote interface for one of the entities used in read-ahead finder tests.
 * 
 * @author <a href="mailto:danch@nvisia.com">danch (Dan Christopherson</a>
 * @version $Id: CMPFindTestEntityRemote.java,v 1.1.30.1 2005/04/06 21:25:08 starksm Exp $
 * 
 * Revision:
 */
public interface CMPFindTestEntityRemote extends EJBObject {
   public java.lang.String getSerialNumber() throws RemoteException;
   public void setSerialNumber(java.lang.String newSerialNumber) throws RemoteException;
   public java.lang.String getRank() throws RemoteException;
   public void setRank(java.lang.String newRank) throws RemoteException;
   public java.lang.String getName() throws RemoteException;
   public void setName(java.lang.String newName) throws RemoteException;
   public java.lang.String getKey() throws RemoteException;
}